Main Page Widgets glibmm Namespaces Book

# filemonitor.h File Reference

## Namespaces

namespace | Gio
namespace | Glib

## Classes

class | Gio::FileMonitor
| Monitors a file or directory for changes. More...

## Enumerations

enum | Gio::FileMonitorEvent { Gio::FILE_MONITOR_EVENT_CHANGED, Gio::FILE_MONITOR_EVENT_CHANGES_DONE_HINT, Gio::FILE_MONITOR_EVENT_DELETED, Gio::FILE_MONITOR_EVENT_CREATED, Gio::FILE_MONITOR_EVENT_ATTRIBUTE_CHANGED, Gio::FILE_MONITOR_EVENT_PRE_UNMOUNT, Gio::FILE_MONITOR_EVENT_UNMOUNTED }